# T1GER Mechanic Job

![](/files/cQixFBqLWsBBbsQUaWOr)

#### [**View on Tebex**](https://store.t1ger.net/package/4971267) | **CFX Forum Post** | [**YouTube Showcase**](https://youtu.be/a1pgPkVVKvE) | [**Discord**](https://discord.gg/t1ger)

## INSTALLATION

### DEPENDENCIES

<table data-header-hidden><thead><tr><th width="221" align="center">Dependency</th><th width="150" align="center">Download</th><th width="150" align="center">Install</th><th width="333.1538461538462">Description</th></tr></thead><tbody><tr><td align="center"><strong>Dependency</strong></td><td align="center"><strong>Download</strong></td><td align="center">In<strong>stall</strong></td><td><strong>Description</strong></td></tr><tr><td align="center"><code>ESX Society</code></td><td align="center"><a href="https://github.com/meta-hub/meta_libs/releases/tag/v1.31">Link</a></td><td align="center">Optional</td><td>Required to use built-in society functions.</td></tr><tr><td align="center"><code>ESX Addon Accounts</code></td><td align="center"><a href="https://gitlab.com/t1ger-scripts/t1ger-requirements/-/tree/main/mhacking">Link</a></td><td align="center">Optional</td><td>Required to use built-in accounting functions.</td></tr><tr><td align="center"><code>progressBars</code></td><td align="center"><a href="https://gitlab.com/t1ger-scripts/t1ger-requirements/-/tree/main/progressBars">Link</a></td><td align="center">Optional</td><td>Use mine or disable and use yours.</td></tr></tbody></table>

### START

1. Extract`t1ger_mechanicjob.rar` and place it into your resource folder.
2. Install the SQL file into your database (⚠️see [#SQL](#sql) for instructions).
3. Setup`config.lua` (⚠️see [#CONFIGURATION](#configuration) for instructions).
4. Install the required and/or optional dependencies.&#x20;
5. Add`ensure t1ger_mechanicjob`to your server start config (place it anywhere below the dependency & framework resources).

### SQL

{% hint style="danger" %}
Please open **`main.sql`** and either import or execute the queries into your database to add the items needed for the robberies.
{% endhint %}

### CONFIGURATION

{% hint style="warning" %}
Please go through **all** configurable options & settings in `config.lua` and configure them to your server's preferences.

Also please read the comments at the end of each line, for a brief information on what the option does.&#x20;
{% endhint %}

### UTILITIES

{% hint style="info" %}
In **`client/utils.lua`** there is a file where you can edit some utility functions. In here you can customize notifications, draw texts and many other functions. \
Please do read it through and make changes to meet your server's preferences.
{% endhint %}

## MISCELLANEOUS

### CHAT COMMANDS

{% hint style="info" %}
*Please note, all these command strings are configurable and can be disabled as well.*
{% endhint %}

| **Command**       | **Description**             |
| ----------------- | --------------------------- |
| `/command <args>` | description comes here soon |

### EXPORTS

{% hint style="info" %}
These are available exports in the resource - use them as you please and find necessary.
{% endhint %}

<table data-header-hidden><thead><tr><th width="353.3333333333333">Export</th><th>Description</th></tr></thead><tbody><tr><td><strong>Export Function</strong></td><td><strong>Description</strong></td></tr><tr><td><code>exports['t1ger_mechanicjob']:ResetVehicleHealthParts(plate)</code></td><td>Export to set all health part of a given vehicle by plate to be fixed/default</td></tr><tr><td><code>exports['t1ger_mechanicjob']:SetVehicleHealthPartValue(plate, part, value)</code></td><td>Export to set value of a health part. Put in plate (e.g. "AX 52 12"), health part (e.g. "brakes" or "clutch") and a value (0-100) to be set</td></tr><tr><td><code>exports['t1ger_mechanicjob']:ApplyCrashDamage(vehicleEntity)</code></td><td>Trigger degradation of vehicle health parts (add to e.g. a vehicle-damage-thread)</td></tr></tbody></table>

## SCRIPT NOT WORKING / ERRORS

{% hint style="success" %}
**TITLE**\
[❓](https://emojipedia.org/question-mark/)  Questions/Issue

[✔️](https://emojiguide.com/symbols/check-mark/) Solution/Answer/Guide
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.t1ger.net/resources/t1ger-mechanic-job.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
